aboutsummaryrefslogtreecommitdiffstats
path: root/main/xfce4-notifyd/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/xfce4-notifyd/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/xfce4-notifyd/APKBUILD')
-rw-r--r--main/xfce4-notifyd/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/main/xfce4-notifyd/APKBUILD b/main/xfce4-notifyd/APKBUILD
new file mode 100644
index 0000000000..717b68470d
--- /dev/null
+++ b/main/xfce4-notifyd/APKBUILD
@@ -0,0 +1,25 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xfce4-notifyd
+pkgver=0.1.0
+pkgrel=0
+pkgdesc="notification daemon for the xfce desktop"
+url="http://spuriousinterrupt.org/projects/xfce4-notifyd"
+license="GPL2"
+depends="hicolor-icon-theme"
+makedepends="gtk+-dev libxfce4util libxfcegui4-dev libsexy-dev xfconf-dev
+ dbus-glib-dev libglade-dev intltool"
+install="$pkgname.post-install $pkgname.post-upgrade $pkgname.post-deinstall"
+source="http://spuriousinterrupt.org/files/$pkgname/$pkgname-$pkgver.tar.bz2
+ $install"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/xfce4 --localstatedir=/var --disable-static
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="659ecaf37f0f7ee9e31f7b25f9813778 xfce4-notifyd-0.1.0.tar.bz2
+db51db79681eadc47be4932355a77c25 xfce4-notifyd.post-install
+db51db79681eadc47be4932355a77c25 xfce4-notifyd.post-upgrade
+db51db79681eadc47be4932355a77c25 xfce4-notifyd.post-deinstall"